Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.appsocket
Interface SocketFactory

    public interface SocketFactory

Allows opening a socket directly to an Application on a FreePastry node. On the FreePastry side, the connection is an AppSocket. On the connecting side, you can receive an AppSocket or a SocketChannel.

Author:
  Jeff Hoye

Method Summary
`Cancellable` | `getAppSocket(java.net.InetSocketAddress addr, int appid, Continuation<AppSocket,java.lang.Exception> c, java.util.Map<java.lang.String,java.lang.Object> options)`
`Cancellable` | `getSocketChannel(java.net.InetSocketAddress addr, int appid, Continuation<java.nio.channels.SocketChannel,java.lang.Exception> c, java.util.Map<java.lang.String,java.lang.Object> options)`

Method Detail

### getAppSocket

    Cancellable getAppSocket(java.net.InetSocketAddress addr,
                             int appid,
                             Continuation<AppSocket,java.lang.Exception> c,
                             java.util.Map<java.lang.String,java.lang.Object> options)

  Parameters:
    `addr` - the location of the freepastry node
    `appid` - the application in the freepastry node see StandardAddress.getAddress()
    `c` - deliver the socket to this continuation
    `options` - use these transport layer specific options when opening the socket
  Returns:
    use this to cancel the call

### getSocketChannel

    Cancellable getSocketChannel(java.net.InetSocketAddress addr,
                                 int appid,
                                 Continuation<java.nio.channels.SocketChannel,java.lang.Exception> c,
                                 java.util.Map<java.lang.String,java.lang.Object> options)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.